ManagementDelete a routing preset
Delete a routing preset
1 min readEdit this page
Deletes the routing preset by id within the named namespace. Returns 404 if no such row exists in the namespace.
Requires the routing_preset:write scope.
x-api-key<token>
Anthropic-style API key header.
In: header
Path Parameters
nsid*string
Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.
id*string
Surrogate id of the routing_presets row.
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/namespaces/string/routing-presets/string"{ "deleted": true}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}How is this guide?